# Spotlight Navigation Bar

A responsive customized bottom navigation bar written in flutter and dart.

### Show some :heart: and star the repo to support the project.

## Screenshot :
<img src="dispaly.png" height="300 em"/>

## Demo : 
![ezgif com-video-to-gif (1)](https://user-images.githubusercontent.com/50237142/78473819-d4819e00-7743-11ea-93d0-2b983fd299b0.gif)

## Usage 
[Example](https://github.com/MeitanteiAshour/SpotLightNavigationBar/blob/master/lib/main.dart)

To use this package : 
* add the dependency to your [pubspec.yaml]
```yaml
    dependencies:
        flutter:
          sdk: flutter
        spotlightnavbar:
```
### How to use :
```dart 
Widget build(BuildContext context) {
    return MaterialApp(
       
      home: Scaffold(
        bottomNavigationBar: SpotLightNavBar(
          animationDuration: Duration(seconds: 1),
          onItemPressed: (i) {
            setState(() => index = i);
          },
          selectedItemColor: Colors.white,
          bottomNavBarColor: Color(0xff3B3B3B),
          nonSelectedItemColor: Colors.white30,
          items: [
            Icon(
              Icons.grain,
            ),
            Icon(
              Icons.search,
            ),
            Icon(
              Icons.flag,
              size: 20,
            ),
          ],
        ),
    );
```
    